<?php
/**
 * Created by PhpStorm.
 * User: pavel
 * Date: 09.09.2015
 * Time: 8:51
 */

function rubens_create_pages() {

    global $wp_rewrite;

    if ( isset( $_POST[ 'tp_create' ] ) && $_POST[ 'tp_create' ] == true && is_admin() ) {
    	
        update_option( 'posts_per_rss', 20 );
        update_option( 'posts_per_page', 30 );
        update_option( 'show_on_front', 'page' );
        update_option( 'comments_per_page', 25 );
        update_option( 'page_comments', 1 );
        
        $wp_rewrite->set_permalink_structure( '/%postname%/' );

        wp_delete_post(1, true );
        wp_delete_post(2, true );
        wp_delete_post(3, true );

	    $pageObj = new rubens_PageTemplate();
        $front_page = get_post_by_name( 'home' );
        if(!$front_page) {
            $pageObj->addPage(['title' => __('Home', 'rubens'), 'post_name' => 'home', 'static' => 'front']);
        }
        $blog_page = get_page_by_path( 'blog' );
        if(!$blog_page) {
            $pageObj->addPage(['title' => __('Blog', 'rubens'), 'post_name' => 'blog', 'static' => 'posts']);
        }



	    $pageObj->addPage( [ 'title' => __( 'Subscription', 'rubens' ), 'post_name' => 'subscription' ] );
	    $pageObj->addPage( [ 'title' => __( 'Thank you', 'rubens' ), 'post_name' => 'thank-you-contact' ] );
	    $pageObj->addPage( [ 'title' => __( 'Payment Methods', 'rubens' ), 'post_name' => 'payment-methods' ] );
	    $pageObj->addPage( [ 'title' => __( 'Shipping & Delivery', 'rubens' ), 'post_name' => 'shipping-delivery' ] );
	    $pageObj->addPage( [ 'title' => __( 'About Us', 'rubens' ), 'post_name' => 'about-us' ] );
	    $pageObj->addPage( [ 'title' => __( 'Contact Us', 'rubens' ), 'post_name' => 'contact-us' ] );
	    $pageObj->addPage( [ 'title' => __( 'Privacy Policy', 'rubens' ), 'post_name' => 'privacy-policy' ] );
	    $pageObj->addPage( [ 'title' => __( 'Terms and Conditions', 'rubens' ), 'post_name' => 'terms-and-conditions' ] );
	    $pageObj->addPage( [ 'title' => __( 'Refunds & Returns Policy', 'rubens' ), 'post_name' => 'refund-policy' ] );
	    $pageObj->addPage( [ 'title' => __( 'Frequently Asked Questions', 'rubens' ), 'post_name' => 'frequently-asked-questions' ] );
	    $pageObj->addPage( [ 'title' => __( 'Track your order', 'rubens' ), 'post_name' => 'track-your-order' ] );
	    $pageObj->addPageContent( [ 'title' => __( 'Account', 'rubens' ), 'post_name' => 'account', 'content' => '[ads_account]' ] );
	    $pageObj->addPageContent( [ 'title' => __( 'Orders', 'rubens' ), 'post_name' => 'orders', 'content' => '[ads_orders]' ] );

	    $pageObj->addPage( [ 'title' => __( 'Your shopping cart', 'rubens' ), 'post_name' => 'cart' ] );
	    $pageObj->addPage( [ 'title' => __( 'Thank you page', 'rubens' ), 'post_name' => 'thankyou' ] );

	    $pageObj->create();


	    updateMenu( [
		    [ 'title' => __( 'About Us', 'rubens' ), 'url' => '/about-us/' ],
            [ 'title' => __( 'Contact Us', 'rubens' ), 'url' => '/contact-us/' ],
            [ 'title' => __( 'Blog', 'rubens' ), 'url' => '/blog/' ],
		    [ 'title' => __( 'Privacy Policy', 'rubens' ), 'url' => '/privacy-policy/' ],
		    [ 'title' => __( 'Terms & Conditions', 'rubens' ), 'url' => '/terms-and-conditions/' ]
	    ], 'About', 'footer-about' );

        createMenu( [
            [ 'title' => __( 'FAQs', 'rubens' ), 'url' => '/frequently-asked-questions/' ],
            [ 'title' => __( 'Payment Methods', 'rubens' ), 'url' => '/payment-methods/' ],
            [ 'title' => __( 'Shipping & Delivery', 'rubens' ), 'url' => '/shipping-delivery/' ],
            [ 'title' => __( 'Returns Policy', 'rubens' ), 'url' => '/refund-policy/' ],
            [ 'title' => __( 'Tracking', 'rubens' ), 'url' => '/track-your-order/' ]
        ], 'Let us help you', 'footer-help' );



        add_action( 'init', 'createCategoryProduct', 10, [
	        [ 'title' => __( 'Costumes', 'rubens' ), 'url' => '/costumes/', 'slug' => 'costumes' ],
	        [ 'title' => __( 'Custom category', 'rubens' ), 'url' => '/custom-category/', 'slug' => 'custom-category' ],
	        [ 'title' => __( 'Gifts', 'rubens' ), 'url' => '/gifts/', 'slug' => 'gifts' ],
	        [ 'title' => __( 'Jewelry', 'rubens' ), 'url' => '/jewelry/', 'slug' => 'jewelry' ],
	        [ 'title' => __( 'Men clothing', 'rubens' ), 'url' => '/men-clothing/', 'slug' => 'men-clothing' ],
	        [ 'title' => __( 'Phone cases', 'rubens' ), 'url' => '/phone-cases/', 'slug' => 'phone-cases' ],
	        [ 'title' => __( 'Posters', 'rubens' ), 'url' => '/posters/', 'slug' => 'posters' ],
	        [ 'title' => __( 'T-shirts', 'rubens' ), 'url' => '/t-shirts/', 'slug' => 't-shirts' ],
	        [ 'title' => __( 'Toys', 'rubens' ), 'url' => '/toys/', 'slug' => 'toys' ],
	        [ 'title' => __( 'Women clothing', 'rubens' ), 'url' => '/women-clothing/', 'slug' => 'women-clothing' ]
        ] );
        
        createMenu( [
	        [ 'title' => __( 'Costumes', 'rubens' ), 'url' => '/costumes/' ],
	        [ 'title' => __( 'Custom category', 'rubens' ), 'url' => '/custom-category/' ],
	        [ 'title' => __( 'Gifts', 'rubens' ), 'url' => '/gifts/' ],
	        [ 'title' => __( 'Jewelry', 'rubens' ), 'url' => '/jewelry/' ],
	        [ 'title' => __( 'Men clothing', 'rubens' ), 'url' => '/men-clothing/' ],
	        [ 'title' => __( 'Phone cases', 'rubens' ), 'url' => '/phone-cases/' ],
	        [ 'title' => __( 'Posters', 'rubens' ), 'url' => '/posters/' ],
	        [ 'title' => __( 'T-shirts', 'rubens' ), 'url' => '/t-shirts/' ],
	        [ 'title' => __( 'Toys', 'rubens' ), 'url' => '/toys/' ],
	        [ 'title' => __( 'Women clothing', 'rubens' ), 'url' => '/women-clothing/' ]
        ], 'Main menu', 'category' );


        $cur_website = parse_url(ADSTM_HOME, PHP_URL_HOST);
        $IMG_DIR = str_replace('//'.$cur_website,'',IMG_DIR);

        $classic_params = [

            'tp_subscribe_show' => true,
            'tp_header_phone'   => '',
            'tp_address'        => '',
            'tp_show_sort_discount' => true,
            'home_blog_enable'      => true,
            'home_top_deals'        => true,
            'tp_bens_show'          => true,
            'tp_currency_switcher'  => true,
            'tp_shipping_tip'       => 'Free shipping worldwide',
            'tp_returns_tip'        => '60 Day Returns',

            'tp_about_delivery_1'  => $IMG_DIR .'del1.png',
            'tp_about_delivery_2'  => $IMG_DIR .'del2.png',
            'tp_about_delivery_3'  => $IMG_DIR .'del3.png',
            'tp_about_delivery_4'  => $IMG_DIR .'del4.png',
            'tp_about_delivery_5'  => $IMG_DIR .'del5.png',

            'features' => [
                'item'=> [
                    [
                        'head' => __( 'Worldwide Shipping', 'rubens' ),
                        'text' => __( 'Enjoy flexible international shipping services that currently operate in over 200 countries across the world', 'rubens' ),
                        'link' => '/shipping-delivery/',
                    ],
                    [
                        'head' => __( 'Free Returns', 'rubens' ),
                        'text' => __( "Arrange your return for a full refund, we've got you covered with our full Buyer protection", 'rubens' ),
                        'link' => '/refund-policy/',
                    ],
                    [
                        'head' => __( 'Safe Payment', 'rubens' ),
                        'text' => __( 'Buy with confidence using the world’s most popular and secure payment methods', 'rubens' ),
                        'link' => '/payment-methods/',
                    ]
                ]
            ],

            'tp_tab_shipping_label'              => __( 'Shipping & Returns', 'rubens' ),
            'tp_single_shipping_payment_content' => ads\customization\czOptions::getTemplateField( 'tm_single_shipping_payment_content' ),

            'tp_single_why_buy_content'        => ads\customization\czOptions::getTemplateField( 'tp_single_why_buy_content' ),

            'tp_mode'    => 1
        ];
        mode_save($classic_params);
        wp_send_json([
            'status' => 'SUCCESS',
            'message'   => 'Classic mode activated'
        ]);


    }

    if ( isset( $_POST[ 'tp_create_sellvia_mode' ] ) && $_POST[ 'tp_create_sellvia_mode' ] == true && is_admin() ) {

        update_option( 'posts_per_rss', 20 );
        update_option( 'posts_per_page', 30 );
        update_option( 'show_on_front', 'page' );
        update_option( 'comments_per_page', 25 );
        update_option( 'page_comments', 1 );

        $wp_rewrite->set_permalink_structure( '/%postname%/' );

        wp_delete_post(1, true );
        wp_delete_post(2, true );
        wp_delete_post(3, true );

        $pageObj = new rubens_PageTemplate();
        $front_page = get_post_by_name( 'home' );
        if(!$front_page) {
            $pageObj->addPage(['title' => __('Home', 'rubens'), 'post_name' => 'home', 'static' => 'front']);
        }
        $blog_page = get_page_by_path( 'blog' );
        if(!$blog_page) {
            $pageObj->addPage(['title' => __('Blog', 'rubens'), 'post_name' => 'blog', 'static' => 'posts']);
        }

        $pageObj->addPage( [ 'title' => __( 'Subscription', 'rubens' ), 'post_name' => 'subscription' ] );
        $pageObj->addPage( [ 'title' => __( 'Thank you', 'rubens' ), 'post_name' => 'thank-you-contact' ] );
        $pageObj->addPage( [ 'title' => __( 'Payment Methods', 'rubens' ), 'post_name' => 'payment-methods' ] );
        $pageObj->addPage( [ 'title' => __( 'Shipping & Delivery', 'rubens' ), 'post_name' => 'shipping-delivery' ] );
        $pageObj->addPage( [ 'title' => __( 'About Us', 'rubens' ), 'post_name' => 'about-us' ] );
        $pageObj->addPage( [ 'title' => __( 'Contact Us', 'rubens' ), 'post_name' => 'contact-us' ] );
        $pageObj->addPage( [ 'title' => __( 'Privacy Policy', 'rubens' ), 'post_name' => 'privacy-policy' ] );
        $pageObj->addPage( [ 'title' => __( 'Terms and Conditions', 'rubens' ), 'post_name' => 'terms-and-conditions' ] );
        $pageObj->addPage( [ 'title' => __( 'Refunds & Returns Policy', 'rubens' ), 'post_name' => 'refund-policy' ] );
        $pageObj->addPage( [ 'title' => __( 'Frequently Asked Questions', 'rubens' ), 'post_name' => 'frequently-asked-questions' ] );
        $pageObj->addPage( [ 'title' => __( 'Track your order', 'rubens' ), 'post_name' => 'track-your-order' ] );
        $pageObj->addPageContent( [ 'title' => __( 'Account', 'rubens' ), 'post_name' => 'account', 'content' => '[ads_account]' ] );
        $pageObj->addPageContent( [ 'title' => __( 'Orders', 'rubens' ), 'post_name' => 'orders', 'content' => '[ads_orders]' ] );

        $pageObj->addPage( [ 'title' => __( 'Your shopping cart', 'rubens' ), 'post_name' => 'cart' ] );
        $pageObj->addPage( [ 'title' => __( 'Thank you page', 'rubens' ), 'post_name' => 'thankyou' ] );

        $pageObj->create();


        updateMenu( [
            [ 'title' => __( 'About Us', 'rubens' ), 'url' => '/about-us/' ],
            [ 'title' => __( 'Contact Us', 'rubens' ), 'url' => '/contact-us/' ],
            [ 'title' => __( 'Privacy Policy', 'rubens' ), 'url' => '/privacy-policy/' ],
            [ 'title' => __( 'Terms & Conditions', 'rubens' ), 'url' => '/terms-and-conditions/' ]
        ], 'About', 'footer-about' );

        createMenu( [
            [ 'title' => __( 'FAQs', 'rubens' ), 'url' => '/frequently-asked-questions/' ],
            [ 'title' => __( 'Payment Methods', 'rubens' ), 'url' => '/payment-methods/' ],
            [ 'title' => __( 'Shipping & Delivery', 'rubens' ), 'url' => '/shipping-delivery/' ],
            [ 'title' => __( 'Returns Policy', 'rubens' ), 'url' => '/refund-policy/' ],
            [ 'title' => __( 'Tracking', 'rubens' ), 'url' => '/track-your-order/' ]
        ], 'Let us help you', 'footer-help' );



        add_action( 'init', 'createCategoryProduct', 10, [
            [ 'title' => __( 'Costumes', 'rubens' ), 'url' => '/costumes/', 'slug' => 'costumes' ],
            [ 'title' => __( 'Custom category', 'rubens' ), 'url' => '/custom-category/', 'slug' => 'custom-category' ],
            [ 'title' => __( 'Gifts', 'rubens' ), 'url' => '/gifts/', 'slug' => 'gifts' ],
            [ 'title' => __( 'Jewelry', 'rubens' ), 'url' => '/jewelry/', 'slug' => 'jewelry' ],
            [ 'title' => __( 'Men clothing', 'rubens' ), 'url' => '/men-clothing/', 'slug' => 'men-clothing' ],
            [ 'title' => __( 'Phone cases', 'rubens' ), 'url' => '/phone-cases/', 'slug' => 'phone-cases' ],
            [ 'title' => __( 'Posters', 'rubens' ), 'url' => '/posters/', 'slug' => 'posters' ],
            [ 'title' => __( 'T-shirts', 'rubens' ), 'url' => '/t-shirts/', 'slug' => 't-shirts' ],
            [ 'title' => __( 'Toys', 'rubens' ), 'url' => '/toys/', 'slug' => 'toys' ],
            [ 'title' => __( 'Women clothing', 'rubens' ), 'url' => '/women-clothing/', 'slug' => 'women-clothing' ]
        ] );

        createMenu( [
            [ 'title' => __( 'Costumes', 'rubens' ), 'url' => '/costumes/' ],
            [ 'title' => __( 'Custom category', 'rubens' ), 'url' => '/custom-category/' ],
            [ 'title' => __( 'Gifts', 'rubens' ), 'url' => '/gifts/' ],
            [ 'title' => __( 'Jewelry', 'rubens' ), 'url' => '/jewelry/' ],
            [ 'title' => __( 'Men clothing', 'rubens' ), 'url' => '/men-clothing/' ],
            [ 'title' => __( 'Phone cases', 'rubens' ), 'url' => '/phone-cases/' ],
            [ 'title' => __( 'Posters', 'rubens' ), 'url' => '/posters/' ],
            [ 'title' => __( 'T-shirts', 'rubens' ), 'url' => '/t-shirts/' ],
            [ 'title' => __( 'Toys', 'rubens' ), 'url' => '/toys/' ],
            [ 'title' => __( 'Women clothing', 'rubens' ), 'url' => '/women-clothing/' ]
        ], 'Main menu', 'category' );


        $cur_website = parse_url(ADSTM_HOME, PHP_URL_HOST);
        $IMG_DIR = str_replace('//'.$cur_website,'',IMG_DIR);

        $sellvia_params = [
            'tp_subscribe_show' => false,
            'tp_header_phone'   => '',
            'tp_address'        => '',
            'tp_show_sort_discount' => false,
            'home_blog_enable'      => false,
            'home_top_deals'        => false,
            'tp_bens_show'          => false,
            'tp_currency_switcher'  => false,
            'tp_shipping_tip'       => 'Fast US Shipping',
            'tp_returns_tip'        => 'Free Returns',

            'tp_about_delivery_1'  => $IMG_DIR .'del2.png',
            'tp_about_delivery_2'  => $IMG_DIR .'del3.png',
            'tp_about_delivery_3'  => $IMG_DIR .'del4.png',
            'tp_about_delivery_4'  => $IMG_DIR .'del6.png',
            'tp_about_delivery_5'  => $IMG_DIR .'del7.png',


            'features' => [
                'item'=> [
                    [
                        'head' => __( '1-3 Day US Shipping', 'rubens' ),
                        'text' => __( 'We partner with the best carriers to deliver your order ASAP', 'rubens' ),
                        'link' => '/shipping-delivery/',
                    ],
                    [
                        'head' => __( 'Free & Easy Returns', 'rubens' ),
                        'text' => __( "If you’re not thrilled with your purchase, simply send it back for a full refund", 'rubens' ),
                        'link' => '/refund-policy/',
                    ],
                    [
                        'head' => __( 'Safe Payment', 'rubens' ),
                        'text' => __( 'Buy with confidence using the world’s most popular and secure payment methods', 'rubens' ),
                        'link' => '/payment-methods/',
                    ]
                ]
            ],

            'tp_tab_shipping_label'              => __( 'Shipping & Delivery', 'rubens' ),
            'tp_single_shipping_payment_content' => ads\customization\czOptions::getTemplateField( 'tm_single_shipping_payment_content_sellvia' ),

            'tp_single_why_buy_content'        => ads\customization\czOptions::getTemplateField( 'tp_single_why_buy_content_sellvia' ),

            'tp_mode'    => 2



        ];
        mode_save($sellvia_params);
        wp_send_json([
            'status' => 'SUCCESS',
            'message'   => 'Sellvia mode activated'
        ]);


    }


}
add_action( 'admin_init', 'rubens_create_pages' );

function createCategoryProduct() {
	
	$category   = [
		[ 'title' => __( 'Costumes', 'rubens' ), 'url' => '/costumes/', 'slug' => 'costumes' ],
		[ 'title' => __( 'Custom category', 'rubens' ), 'url' => '/custom-category/', 'slug' => 'custom-category' ],
		[ 'title' => __( 'Gifts', 'rubens' ), 'url' => '/gifts/', 'slug' => 'gifts' ],
		[ 'title' => __( 'Jewelry', 'rubens' ), 'url' => '/jewelry/', 'slug' => 'jewelry' ],
		[ 'title' => __( 'Men clothing', 'rubens' ), 'url' => '/men-clothing/', 'slug' => 'men-clothing' ],
		[ 'title' => __( 'Phone cases', 'rubens' ), 'url' => '/phone-cases/', 'slug' => 'phone-cases' ],
		[ 'title' => __( 'Posters', 'rubens' ), 'url' => '/posters/', 'slug' => 'posters' ],
		[ 'title' => __( 'T-shirts', 'rubens' ), 'url' => '/t-shirts/', 'slug' => 't-shirts' ],
		[ 'title' => __( 'Toys', 'rubens' ), 'url' => '/toys/', 'slug' => 'toys' ],
		[ 'title' => __( 'Women clothing', 'rubens' ), 'url' => '/women-clothing/', 'slug' => 'women-clothing' ]
	];
	
	foreach ( $category as $key => $item ) {
		wp_insert_term( $item[ 'title' ], 'product_cat', [
			'description' => '',
			'slug'        => $item[ 'slug' ],
			'parent'      => 0
		] );
	}
}

/**
 * @param $memu
 * @param $menu_name
 * @param bool|string $location
 *
 * @return bool
 */
function createMenu( $memu, $menu_name, $location = false ) {
	
	$menu_exists = wp_get_nav_menu_object( $menu_name );
	if ( !$menu_exists ) {
		$menu_id = wp_create_nav_menu( $menu_name );

		if ( $location ) {
			$locations              = get_theme_mod( 'nav_menu_locations' );
			$locations[ $location ] = $menu_id;
			set_theme_mod( 'nav_menu_locations', $locations );
		}

		foreach ( $memu as $key => $item ) {
			wp_update_nav_menu_item( $menu_id, 0, [
				'menu-item-title'    => $item[ 'title' ],
				'menu-item-position' => $key,
				'menu-item-url'      => home_url( $item[ 'url' ] ),
				'menu-item-status'   => 'publish'
			] );
		}

		return true;
	}

	return false;
}

/**
 * @param $memu
 * @param $menu_name
 * @param bool|string $location
 *
 * @return bool
 */
function updateMenu( $memu, $menu_name, $location = false ) {

    $menu_exists = wp_get_nav_menu_object( $menu_name );
    if ( $menu_exists->term_id ) {
        wp_delete_term( $menu_exists->term_id, 'nav_menu' );

        $menu_id = wp_create_nav_menu( $menu_name );

        if ( $location ) {
            $locations              = get_theme_mod( 'nav_menu_locations' );
            $locations[ $location ] = $menu_id;
            set_theme_mod( 'nav_menu_locations', $locations );
        }

        foreach ( $memu as $key => $item ) {
            wp_update_nav_menu_item( $menu_id, 0, [
                'menu-item-title'    => $item[ 'title' ],
                'menu-item-position' => $key,
                'menu-item-url'      => home_url( $item[ 'url' ] ),
                'menu-item-status'   => 'publish'
            ] );
        }

        return true;
    }else{
        $menu_id = wp_create_nav_menu( $menu_name );

        if ( $location ) {
            $locations              = get_theme_mod( 'nav_menu_locations' );
            $locations[ $location ] = $menu_id;
            set_theme_mod( 'nav_menu_locations', $locations );
        }

        foreach ( $memu as $key => $item ) {
            wp_update_nav_menu_item( $menu_id, 0, [
                'menu-item-title'    => $item[ 'title' ],
                'menu-item-position' => $key,
                'menu-item-url'      => home_url( $item[ 'url' ] ),
                'menu-item-status'   => 'publish'
            ] );
        }

        return true;
    }

    return false;
}

/**
 *
 * @return array
 */

function mode_get_defaults() {

    $defaults = [];

    $file = get_template_directory() .'/adstm/customization/defaults.php';
    if( file_exists( $file ) ) {
        $defaults = include $file;
    }

    return apply_filters( 'cz_fields', $defaults );
}

/**
 * @param $params
 *
 * @return bool
 */

function mode_save($params) {
    if( isset( $params ) ) {

        $options = mode_get_defaults();

        $data      = get_option( 'cz_' .wp_get_theme() );
        $mix_data = array_merge($options,$data);

        foreach( $params as $key => $value ) {
            $mix_data[ $key ] = $value;
        }

        return update_option( 'cz_' .wp_get_theme() , $mix_data );
    }
    return false;
}


class rubens_PageTemplate {
	
	private $_pages = [];

	public function __construct() {}

	/**
	 * @param $page
	 * @throws Exception
	 */
	public function addPage( $page ) {

		if ( empty( $page[ 'post_name' ] ) )
			throw new Exception( 'no post_name' );

		$page[ 'content' ] = $this->getContent( $page[ 'post_name' ] );

		array_push( $this->_pages, $page );
	}

	/**
	 * addPageContent
	 *
	 * @param object $pageObj
	 * @throws Exception
	 */
	public function addPageContent( $pageObj ) {
		
		if( empty( $pageObj[ 'post_name' ] ) ) {
			throw new Exception( 'no post_name' );
		}

		if( empty( $pageObj[ 'content' ] ) ) {
			throw new Exception(' no post_content' );
		}

		array_push( $this->_pages, $pageObj );
	}

	public function create() {
		
		foreach ( $this->_pages as $page ) {

			$new_page = [
				'post_type'    => 'page',
				'post_title'   => $page[ 'title' ],
				'post_name'    => $page[ 'post_name' ],
				'post_content' => $page[ 'content' ],
				'post_status'  => 'publish',
				'post_author'  => 1,
			];

			if ( !$this->issetPage( $page[ 'post_name' ] ) ) {
				$id = wp_insert_post( $new_page );
				if ( isset( $page[ 'static' ] ) && $page[ 'static' ] == 'front' ) update_option( 'page_on_front', $id );
				if ( isset( $page[ 'static' ] ) && $page[ 'static' ] == 'posts' ) update_option( 'page_for_posts', $id );
			}
		}
	}

	/**
	 * @param $slug
	 * @return bool
	 */
	private function issetPage( $slug ) {
		
		$page_check = new WP_Query( [
			'pagename' => $slug
		] );
		
		if ( $page_check->post ) return true;

		return false;
	}

	/**
	 * @param $pagename
	 * @return mixed|string
	 */
    private function getContent( $pagename ) {

        if(isset( $_POST[ 'tp_create_sellvia_mode' ] ) && $_POST[ 'tp_create_sellvia_mode' ] == true){
            $file = dirname( __FILE__ ) . '/sellvia_pages_default/' . $pagename . '.php';
        }else{
            $file = dirname( __FILE__ ) . '/pages_default/' . $pagename . '.php';
        }


        if ( file_exists( $file ) ) {
            ob_start();
            include( $file );
            $text = ob_get_contents();
            ob_end_clean();

            return $text;
        }

        return '';
    }
}