<!doctype html>
<html <?php language_attributes(); ?> class="no-js" xmlns="http://www.w3.org/1999/html">
<head>
    <link rel="shortcut icon" href="<?php _cz( 'tp_favicon' ); ?>"/>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1.0,minimum-scale=1.0, maximum-scale=1.0, user-scalable=no, shrink-to-fit=no">

    <?php
    if(isset($post)){
        $post_gallery = $post->gallery;
        if(isset($post_gallery[0]['full'])){?>
            <meta property="og:image" content="<?php echo $post_gallery[0]['full']; ?>"/>
            <meta property="og:image:width" content="768" />
            <meta property="og:image:height" content="768" />
        <?php }
    }

    \ads\adsTmpl::meta();
    wp_head();
    get_template_part('template/add_fonts');
    ?>
    <style>
        <?php echo cz('tp_style') ?>
    </style>

    <?php echo cz( 'tp_head' ); ?>

    <?php

    $body_classes         = [];
    $current_post_type    = get_post_type( get_the_ID() );
    $post_type_is_product = $current_post_type === 'product';
    array_push( $body_classes, 'rubens' );

    if( cz( 'tp_item_imgs_lazy_load' ))
        array_push( $body_classes, 'js-items-lazy-load' );

    if( cz( 'tp_cards_full' ))
        array_push( $body_classes, 'cards_full_mobile' );

    if( cz( 'tp_sticky_add_to_cart' ))
        array_push( $body_classes, 'sticky_add_to_cart' );

    if( cz( 'tp_header_overlay' ))
        array_push( $body_classes, 'header_overlay' );


    array_push( $body_classes, cz( 'header_sticky' ) );



    if( cz( 'tp_single_enable_pre_selected_variation') && $post_type_is_product )
        array_push( $body_classes, 'js-show-pre-selected-variation' );

    include "adstm/customization/cz_styles.php";

    do_action('ads_head_addons');
    $template_dir = get_template_directory_uri();
    ?>
    <link rel="preload" href="<?php echo $template_dir; ?>/webfonts/Roboto.woff" as="font" type="font/woff" crossorigin>
    <link rel="preload" href="<?php echo $template_dir; ?>/webfonts/Roboto-Medium.woff" as="font" type="font/woff" crossorigin>
    <link rel="preload" href="<?php echo $template_dir; ?>/webfonts/Roboto-Bold.woff" as="font" type="font/woff" crossorigin>
    <script>
        ajaxurl = '<?php echo site_url() ?>/wp-admin/admin-ajax.php';
    </script>
    <?php if(cz('social_sharing') && (is_front_page() || is_home())){ ?>
        <meta property="og:image" content="<?php _cz('social_sharing') ?>" />
    <?php } ?>
</head>
<body <?php body_class( $body_classes ) ?>>
<div class="header_cont">
    <div class="container">
        <div class="upheader">
            <span class="img_link to_search">
                <i class="icon-scope"></i>
            </span>
            <?php if(cz('tp_currency_switcher')){ ?>
            <div class="currency_chooser">
                <?php do_action( 'adstm_dropdown_currency' ) ?>
            </div>
            <?php }
            if( ! get_option( 'users_can_register' ) == 0 ) : ?>

                    <?php if (get_current_user_id() == 0): ?>
                        <a class="img_link usericon_cont" href="<?php echo adstm_home_url( 'userlogin' ) ?>">
                            <i class="icon-avatar"></i><span class="adap_cab_title">Log In</span>
                        </a>
                    <?php else : ?>
                        <a class="img_link usericon_cont" href="<?php echo adstm_home_url( 'account' ) ?>">
                            <i class="icon-avatar"></i><span class="adap_cab_title">Account</span>
                        </a>
                    <?php endif; ?>
            <?php endif; ?>
            <?php do_action( 'adstm_cart_quantity_link' ) ?>
        </div>
        <div class="logo">
            <a href="<?php echo adstm_home_url() ?>"><img src="<?php echo cz( 'tp_logo_img2' ) ?>" alt=""/><img src="<?php echo cz( 'tp_logo_img' ) ?>" alt=""/><?php
            if(cz( 'tp_logo_text' ) ){
                ?><span><?php _cz( 'tp_logo_text' ); ?></span><?php

            }

            ?></a>
        </div>
        <div class="fixed_burger">
            <i></i>
            <i></i>
            <i></i>
        </div>
        <div class="mainmenu_cont">
            <div class="mainmenu" data-more="<?php _e('More', 'rubens');?>">
                <?php

                $locations = get_nav_menu_locations();

                if( isset( $locations[ 'category' ] ) && $locations[ 'category' ] ) {

                    wp_nav_menu([
                        'menu'           => 'Category',
                        'theme_location' => 'category',
                        'container'      => '',
                        'menu_class'     => '',
                        'depth'          => 5,
                        'items_wrap'     => '<ul>%3$s</ul>',
                        'walker'         => new WP_Bootstrap_Navwalker_simple
                    ] );
                } else { ?>
                    <ul>
                        <?php
                        $menuProduct = wp_list_categories( [
                            'child_of'            => 0,
                            'current_category'    => 0,
                            'depth'               => 5,
                            'echo'                => 0,
                            'exclude'             => '',
                            'exclude_tree'        => '',
                            'feed'                => '',
                            'feed_image'          => '',
                            'feed_type'           => '',
                            'hide_empty'          => 1,
                            'hide_title_if_empty' => false,
                            'hierarchical'        => true,
                            'order'               => 'ASC',
                            'orderby'             => 'name',
                            'separator'           => '<br />',
                            'show_count'          => 0,
                            'show_option_all'     => '',
                            'show_option_none'    => '',
                            'style'               => 'list',
                            'taxonomy'            => 'product_cat',
                            'title_li'            => '',
                            'use_desc_for_title'  => 0
                        ] );


                        echo $menuProduct ?>
                        <?php do_action('rubens_after_menu_categories'); ?>
                    </ul>
                <?php } ?>
            </div>
        </div>
        <div class="mainmenu_adap_cont">
            <div class="mainmenu_adap"></div>
            <span class="back_menu_level"></span>
            <span class="close_adap_menu ani_cross"></span>
            <div class="adap_menu_footer"></div>
        </div>
    </div>
</div>
<div class="postheader"></div>
<?php get_template_part( 'template/str_data_common' ); ?>