<?php

function adstm_product_item( $img_size = 'ads-big', $no_scheme = false, $alt_lazy = false ) {

	$info = new adsProductTM( [
		'attributes' => true,
		'alimeta'    => true
	] );

	$product  = $info->singleProductMin($img_size);
	$discount = '';

	if( $product[ 'discount' ]) {
	    if(cz( 'tp_discount_type' )=='sale'){
            $discount = sprintf(
                '<div class="sale_badge">%s</div>',
                __( 'on sale', 'rubens' )
            );
        }
        if(cz( 'tp_discount_type' )=='percent'){
            $discount = sprintf(
                '<div class="sale_badge perc_badge"><span>&minus;%s</span></div>',
                $product[ 'discount' ].'%'
            );
        }

	}
	$price = '';
    $price .= "<span class='sale js-salePrice'></span>";
	if( $product[ '_price' ] > 0 && $product[ '_price' ] !== $product[ '_salePrice' ] ) {
	    $price .= "<small class='old js-price'></small>";
	}

    $availability = $product[ 'stock' ] > 0  ? "https://schema.org/InStock" : "https://schema.org/OutOfStock";
    $priceValidUntil = date('Y-m-d',
        strToTime('today + 30 days')
    );

    $getCountReview = $info->getCountReview();
    $aggregateRating = '';
    if($getCountReview){
        $aggregateRating = "<div style='display:none;' itemprop='aggregateRating' itemscope itemtype='http://schema.org/AggregateRating'><span itemprop='ratingValue'>{$info->getRate()}</span><span itemprop='reviewCount'>".$getCountReview."</span></div>";
    }

    $getPostId = $info->getPostId();
    get_post_status($getPostId);
    $title = $info->getTitle();
    if(wp_doing_ajax()){
        if( current_user_can('editor') || current_user_can('administrator') ) {
            $status = get_post_status( $getPostId );
            if( ads_check_status_access( $status ) ){
                $title = '<strong>' . ads_name_status_access( $status ) . ':</strong> ' . $title;
            }
        }
    }
    $src = 'src';
    if( cz( 'tp_item_imgs_lazy_load' ) ) {
        if($alt_lazy){
            $src = 'data-menusrc';
        }else{
            $src = 'data-src';
        }

    }

    if(isset($product['promotionVolume']) && $product['promotionVolume']==0){
        if(defined( 'SLV_ERROR' )){
            global $wpdb;
            $wpdb->update($wpdb->slv_products,
                array(
                    'promotionVolume' => mt_rand(8000, 12000),
                ),
                array('post_id' => $getPostId)
            );
        }
    }

    if($no_scheme == false){
        $comment_count = $info->getCommentCount();
        $rating_item = $info->starRating();
        echo "<div class='product-item item-sp' {$info->getHiddenData()} itemscope='' itemtype='http://schema.org/Product'>
				<meta itemprop='image' content='{$product[ 'thumb' ]}'>
				<meta itemprop='mpn' content='{$product['post_id']}'>
				{$aggregateRating}
				<a href='{$info->getLink()}'>
					<div class='thumb'>
						<div class='thumb-box'>";
                            do_action('ads_product_item_thumb_box', $product['post_id']);
                            echo "<div class='thumb-wrap'>";?>
                            <img <?php echo $src; ?>="<?php echo $product[ 'thumb' ]; ?>?10000">
                            <?php
                            echo "</div>";
                            do_action('ads_product_item_thumb_box_after', $info);
                    echo "</div>
					</div>
					<h4 itemprop='name'>{$title}</h4>
					{$discount}
					";
                    if(cz( 'tp_show_stars' )){
                        echo "<span class='starscont'>{$rating_item}",
                        $comment_count ? '<span class="call-item">'.$comment_count.'</span>' : '',"</span>";
                    }
                    echo "
					<div class='price_stars_cont'>
                        <div class='price' itemprop='offers' itemscope='' itemtype='http://schema.org/Offer'>
                            <meta itemprop='price' content='{$product[ '_salePrice_nc' ]}'>
                            <meta itemprop='priceCurrency' content='{$product[ 'currency' ]}'/>
                            <meta itemprop='url' content='{$info->getLink()}'>
                            <meta itemprop='availability' content='{$availability}'>
                            <meta itemprop='priceValidUntil' content='{$priceValidUntil}'>
                            {$price}
                        </div>
					</div>
					<div itemprop='brand' itemscope='' itemtype='http://schema.org/Organization'>
                        <meta itemprop='name' content='{$_SERVER['SERVER_NAME']}'/>
                    </div>
				</a>
		</div>";
    }else{
        $comment_count = $info->getCommentCount();
        $rating_item = $info->starRating();

        echo "<div class='product-item item-sp' {$info->getHiddenData()} >
				<a href='{$info->getLink()}'>
					<div class='thumb'>
						<div class='thumb-box'>";
        do_action('ads_product_item_thumb_box', $product['post_id']);
        echo "<div class='thumb-wrap'>";
        ?>
        <img <?php echo $src; ?>="<?php echo $product[ 'thumb' ]; ?>?10000">
        <?php
        echo "</div>";
        do_action('ads_product_item_thumb_box_after', $info);
        echo "</div>
					</div>
					<h4 itemprop='name'>{$title}</h4>
					{$discount}
					";
        if(cz( 'tp_show_stars' )){
            echo "<span class='starscont'>{$rating_item}",
            $comment_count ? '<span class="call-item">'.$comment_count.'</span>' : '',"</span>";
        }
        echo "
					<div class='price_stars_cont'>
                        <div class='price'>
                            <meta content='{$product[ '_salePrice_nc' ]}'>
                            <meta content='{$product[ 'currency' ]}'/>
                            {$price}
                        </div>
					</div>
				</a>
		</div>";
    }



}
add_action( 'adstm_product_item', 'adstm_product_item', 10 , 3 );