<?php

if( ! function_exists( 'list_review' ) ) {
 
	function list_review( $comment, $args, $depth ) {
	    
        $images  = maybe_unserialize( $comment->images );
        $size    = 'ads-medium';
        $gallery = \ads\adsPost::get_gallery( $images, $size );
        $src = cz( 'tp_item_imgs_lazy_load' ) ? 'data-src' : 'src';

        if ( ! $gallery )
            $gallery = [];
		?>
        <div class="revone" <?php comment_class( 'feedback-one' ); ?> id="li-comment-<?php comment_ID() ?>">
            <div class="revT">
                <?php if( cz( 'tp_verifed' ) ) : ?>
                    <div class="revcheck">
                        <span class="ico-check"><u>Verified Buyer</u></span>
                    </div>
                <?php endif; ?>
                <div class="revperson"><?php echo $comment->comment_author ?></div>
                <?php if( cz( 'tp_revdate' ) ) : ?>
                    <span class="revdate"><?php echo date_i18n( 'j M Y H:i', strtotime( $comment->comment_date ) ) ?></span>
                <?php endif; ?>
            </div>
            <div class="stars">
                <meta itemprop="ratingValue" content="<?php echo $comment->star; ?>"/>
                <meta itemprop="bestRating" content="5.0"/>
                <?php adsFeedBackTM::renderStarRating( $comment->star ); ?>
            </div>
            <div class="revbody">
                <p class="text"><?php echo str_replace("\r\n",'<br \>',trim($comment->comment_content)) ?></p>
            </div>
            <div class="revpics">
                <?php foreach( $gallery as $image ) : ?>
                    <a href="<?php echo ads_get_size_img( $image[ 'url' ], 'ads-large' );  ?>">
                        <img <?php echo $src; ?>="<?php echo $image[ $size ] ?>" >
                    </a>
                <?php endforeach; ?>
            </div>

		<?php
	}
}